<?php
/**
 * @file
 * The aGov install profile modules file.
 *
 * @copyright Copyright(c) 2012 PreviousNext
 * @license GPL v2 http://www.fsf.org/licensing/licenses/gpl.html
 * @author Chris Skene chris at previousnext.com.au
 */

/**
 * Implements hook_install_configure_form_alter().
 *
 * Changes the inserted variables on the installer to some different defaults
 */
function agov_form_install_configure_form_alter(&$form, &$form_state) {
  $form['site_information']['site_name']['#default_value'] = 'aGov';
  $form['site_information']['site_mail']['#default_value'] = 'admin@' . $_SERVER['HTTP_HOST'];
  $form['admin_account']['account']['name']['#default_value'] = 'admin';
  $form['admin_account']['account']['mail']['#default_value'] = 'admin@' . $_SERVER['HTTP_HOST'];
  $form['server_settings']['site_default_country']['#default_value'] = 'AU';
  /**
   * As a workaround to core issue #1017020 (http://drupal.org/node/1017020),
   * we override the timezone javascript behaviour by setting it to null in the
   * javascript file added below.
   */
  $form['#attached']['js'] = array(
    drupal_get_path('module', 'agov_core') . '/js/agov_core.js' => array(
      'type' => 'file',
    ),
  );
}
